OfonoModemInterface Class Reference

This class implements a generic modem interface object. More...

`#include <ofonomodeminterface.h>`

Inheritance diagram for OfonoModemInterface:

## Signals

void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Protected Attributes

OfonoInterface * | m_if

## Properties

bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Detailed Description

This class implements a generic modem interface object.

It provides validity checking and modem binding. It should not be instantiated directly; instead you should instantiate interface-specific subclasses.

## Constructor & Destructor Documentation

## OfonoModemInterface()

OfonoModemInterface::OfonoModemInterface | ( | OfonoModem::SelectionSetting | modemSetting,
|  | const QString & | modemPath,
|  | const QString & | ifname,
|  | OfonoGetPropertySetting | propertySetting,
|  | QObject * | parent = `0`
| ) |  |

Construct a modem interface object.

Parameters

  modemSetting | modem selection setting
  modemPath | path to the modem (may not be significant, depending on modemSetting)
  ifname | d-bus interface name
  propertySetting | oFono d-bus properties setting

## Member Function Documentation

## errorMessage()

QString OfonoModemInterface::errorMessage | ( |  | ) | const

Get the D-Bus error message of the last operation.

Returns the D-Bus error message of the last operation (setting a property or calling a method) if it has failed

## errorName()

QString OfonoModemInterface::errorName | ( |  | ) | const

Get the D-Bus error name of the last operation.

Returns the D-Bus error name of the last operation (setting a property or calling a method) if it has failed

## isValid()

bool OfonoModemInterface::isValid | ( |  | ) | const

Check that the modem interface object is valid.

This means that a modem d-bus object exists and has the d-bus interface specified in the contstructor.

## modem()

OfonoModem * OfonoModemInterface::modem | ( |  | ) | const

Get the modem object that this interface belongs to.

The ownership of the modem object stays with the OfonoModemInterface object.

## validityChanged

void OfonoModemInterface::validityChanged | ( | bool | validity | ) |

signal

Interface validity has changed.

This may mean that modem has become unavailable (or available again) or that the modem interface has become unavailable (or available again)

The documentation for this class was generated from the following file:

- lib/ofonomodeminterface.h